Skip to main content
GET
/
stablecoins
/
payments
/
{id}
Retrieve a stablecoin inbound payment
curl --request GET \
  --url https://api.equalsmoney.com/v2/stablecoins/payments/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "e9293471-5eb3-4dbc-916c-dbaf9e2deefd",
  "accountId": "F50091",
  "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
  "status": "PENDING",
  "remitterId": "a1111111-2222-3333-4444-555555555555",
  "amount": 100,
  "displayName": "Invoice #12345",
  "sourceCurrencyCode": "USDC",
  "destinationCurrencyCode": "USD",
  "returnUrl": "https://www.example.com/receive-money",
  "link": {
    "url": "https://pay.sandbox.bvnk.com/channel?uuid=9d1f67f2-a647-404b-9b02-247c77be81d0",
    "chains": [
      {
        "protocol": "ETH",
        "address": "0x0000000000000000000000000000000000000000"
      }
    ]
  },
  "expiresAt": "2025-01-30T08:30:00.000Z",
  "createdBy": "John Smith",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

id
string<uuid>
required
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

include
enum<string>

Controls which optional properties should be attached to the response.

Available options:
link
Example:

"link"

Response

200 - application/json

OK

id
string<uuid>
required

The ID of the BVNK payment to work with.

Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

budgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

status
enum<string>
required
Available options:
PENDING,
PROCESSING,
CANCELLED,
COMPLETE,
UNDERPAID,
OVERPAID,
EXPIRED
remitterId
string<uuid>
required

The ID of the BVNK remitter associated with the payment.

Example:

"a1111111-2222-3333-4444-555555555555"

amount
number
required

The amount to be paid.

Required range: x >= 10
Example:

100

sourceCurrencyCode
string
required

The currency the remitter will send.

Required string length: 3 - 4
Example:

"USDC"

destinationCurrencyCode
string
required

The currency that should be received into the budget.

Required string length: 3 - 4
Example:

"USD"

createdBy
string
required
Required string length: 1 - 255
Example:

"John Smith"

createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>
required

The date the Resource was last modified. ISO 8601 format without milliseconds.

displayName
string | null
Required string length: 1 - 255
Example:

"Invoice #12345"

returnUrl
string<uri> | null

The URL that the customer will be redirected to if they click the Back button on the link url page. Must start with https://

Example:

"https://www.example.com/receive-money"

expiresAt
string<date-time>

The date/time at which the payment expires. ISO 8601 format without milliseconds.

Example:

"2025-01-30T08:30:00.000Z"